package cn.qg.qaplatform.mock.encrypt.factory;

import lombok.extern.slf4j.Slf4j;


@Slf4j
public class EncryptFactory {

    public static EncryptConvertor produce(String type) {
        if ("yeebao".equals(type)) {
            return new YeebaoEncryptConvertor();
        } else {
            log.info("请输入正确的加密类型类型！");
            return null;
        }
    }

}
